// $Id$
/*
 * Drupal Most Popular - Showcase the most popular content across your Drupal website and engage your audience.
 * Copyright © 2009-2012 New Signature
 * 
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * You can contact New Signature by electronic mail at labs@newsignature.com -or- by U.S. Postal Service at 1100 H St. NW, Suite 940, Washington, DC 20005.
 */
/**
 * @file 
 * Overwrites jQuery's fade functions to better support IE.
 * Borrowed from http://www.malsup.com/jquery/fadetest.html
 */
(function ($) {
	
    $.fn.fadeIn = function (speed, callback) {
        return this.animate({opacity: 'show'}, speed, function () { 
            if ($.browser.msie) {
                this.style.removeAttribute('filter');
            }
            if ($.isFunction(callback)) { 
                callback();
            }
        }); 
    }; 
 
    $.fn.fadeOut = function (speed, callback) { 
        return this.animate({opacity: 'hide'}, speed, function () { 
            if ($.browser.msie) {
                this.style.removeAttribute('filter');
            }
            if ($.isFunction(callback)) { 
                callback();  
            }
        }); 
    };
     
    $.fn.fadeTo = function (speed, to, callback) { 
        return this.animate({opacity: to}, speed, function () { 
            if (to == 1 && $.browser.msie) {
                this.style.removeAttribute('filter');
            }
            if ($.isFunction(callback)) {
                callback();
            }
        });
    };
    
})(jQuery);